Skip to main content
All top-level API resources have support for fetches via list API methods. For instance, you can list redemptions, list publications, list customers, list products, and more. These list API methods share a common structure, using at least these query parameters: limit and created_at.

Paging the results

Some of the list API methods use the page query parameter to display another page of results. However, the following list API methods use the starting_after_id query parameter: The response to these methods may include a more_starting_after key that takes a string value with an ID. Use this ID with the starting_after_id query parameter to display another page of results.

Response format

The listing method returns a dictionary with a data property that contains an array of resources. The maximum number of resources returned is determined by the limit query parameter. If no more resources are available, the resulting array on a given page will be empty. The result can be narrowed down according to the specified (or default) filters.

Shortcuts

List API methods offer a list of query parameters. These parameters allow you to filter the results. Each API resource enables a specific set of options which can be used for simplifying a query. If you need advanced options, read the next section.

Advanced filters for fetching resources

Moreover, API methods for fetching resources offer extended capabilities for filtering data. A user​ can build advanced queries by passing parameters that define search criteria.
Last modified on June 22, 2026